#! /bin/ksh

# this script can be used to test the package
# anyway it is still very incomplete, feel free to improve
# (and submit your improvements)

LOCKFILE1=/tmp/halockrun.1

echo "checking halockrun -t"
(./halockrun -c ${LOCKFILE1} sleep 1000; rm -r ${LOCKFILE1}) &

sleep 1
if [ ! -f ${LOCKFILE1} ]; then
	echo "fail 1: lockfile not created"
	exit 1
fi

./halockrun -t ${LOCKFILE1} >/dev/null
RS=$?

if [ $RS != 1 ]; then
	echo "fail 2: lockfile not locked"
	exit 2
fi

RV=`./halockrun -t ${LOCKFILE1}`
E=$?

if [ -z "${RV}" ]; then
	echo "fail 4: returned nothing on locked file"
	exit 4
fi

if [ ${RV} == 0 ]; then
	echo "fail 5: returned zero on locked file"
	exit 5
fi

if [ $E -ne 1 ]; then
	echo "fail 5A: returned $E on locked file (expected 1)"
	exit 5
fi

./halockrun -t -E 2 ${LOCKFILE1}
E=$?

if [ $E -ne 2 ]; then
	echo "fail 5B: returned $E on locked file (expected 2)"
	exit 5
fi

kill `./halockrun -t ${LOCKFILE1}`

sleep 1

if [ -f ${LOCKFILE1} ]; then
	echo "fail 3: lockfile not removed"
	exit 3
fi

touch ${LOCKFILE1}

./halockrun -t ${LOCKFILE1}
RS=$?

if [ $RS != 0 ]; then
	echo "fail 6: not locked but return code is ${RS}"
	exit 6
fi


RV=`./halockrun -t ${LOCKFILE1}`

if [ ! -z "${RV}" ]; then
	echo "fail 7: not locked but stdout ist ${RV}"
	exit 7
fi

rm -f ${LOCKFILE1}


./halockrun -t -E 2 ${LOCKFILE1}
E=$?

if [ $E -ne 99 ]; then
	echo "fail 8: returned $E on error (expected 99)"
	exit 8
fi


./halockrun -t -e 3 -E 2 ${LOCKFILE1}
E=$?

if [ $E -ne 3 ]; then
	echo "fail 9: returned $E on error (expected 3)"
	exit 9
fi






echo "tests ok"
